Package org.apache.commons.lang3.concurrent

## Class ConcurrentRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.lang3.concurrent.ConcurrentRuntimeException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ConcurrentRuntimeException
    extends java.lang.RuntimeException

An exception class used for reporting runtime error conditions related to accessing data of background tasks.

This class is an analogue of the `ConcurrentException` exception class. However, it is a runtime exception and thus does not need explicit catch clauses. Some methods of `ConcurrentUtils` throw `ConcurrentRuntimeException` exceptions rather than `ConcurrentException` exceptions. They can be used by client code that does not want to be bothered with checked exceptions.

Since:
  3.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `ConcurrentRuntimeException()` Creates a new, uninitialized instance of `ConcurrentRuntimeException`.
`` `ConcurrentRuntimeException​(java.lang.String msg, java.lang.Throwable cause)` Creates a new instance of `ConcurrentRuntimeException` and initializes it with the given message and cause.
`` `ConcurrentRuntimeException​(java.lang.Throwable cause)` Creates a new instance of `ConcurrentRuntimeException` and initializes it with the given cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConcurrentRuntimeException

    protected ConcurrentRuntimeException()

Creates a new, uninitialized instance of `ConcurrentRuntimeException`.

#### ConcurrentRuntimeException

    public ConcurrentRuntimeException​(java.lang.Throwable cause)

Creates a new instance of `ConcurrentRuntimeException` and initializes it with the given cause.

Parameters:
  `cause` - the cause of this exception
Throws:
  `java.lang.IllegalArgumentException` - if the cause is not a checked exception

#### ConcurrentRuntimeException

    public ConcurrentRuntimeException​(java.lang.String msg,
                                      java.lang.Throwable cause)

Creates a new instance of `ConcurrentRuntimeException` and initializes it with the given message and cause.

Parameters:
  `msg` - the error message
  `cause` - the cause of this exception
Throws:
  `java.lang.IllegalArgumentException` - if the cause is not a checked exception